package de.fhdw.gaming.ipspiel23.memory;

/**
 * Interface to determine the capacity of a memory.
 * Capacity can be capped or unlimited. Optional usage of a default value.
 *
 */
public interface IGameMemoryCapacity {
    
    /**
     * Returns if it's unlimited.
     * @return
     */
    boolean isUnlimited();
    
    /**
     * Returns if it's the default value.
     * @return
     */
    boolean isDefault();
    
    /**
     * Returns the capacity. Either the correct Integer value or -1 if it's unlimited.
     * @return
     */
    int getCapacity();
}
